"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@anycli/command");
const yeoman_environment_1 = require("yeoman-environment");
class CommandBase extends command_1.default {
    async generate(type, generatorOptions = {}) {
        const env = yeoman_environment_1.createEnv();
        env.register(require.resolve(`./generators/${type}`), `anycli:${type}`);
        await env.run(`anycli:${type}`, generatorOptions);
    }
}
exports.default = CommandBase;
